Subject: Re: bug#43802: Knot: Linker runs very slowly and crashes during build

From: Simon South <[email-masked]>
Date: Mon, 05 Oct 2020 11:44:33 -0400

Tobias Geerinckx-Rice <[email-masked]> writes:
> Would it make sense to provide a faster-building slower-starting Knot
> variant alongside the main package?

I'm inclined to say "no", especially if we assume a substitute will
(nearly always) be available.

Unless someone is hacking on the scanner directly it ought to be safe to
add "--disable-fastparser" to dns.scm temporarily during testing, then
remove it before submitting a patch. If it isn't then probably _that_ is
the bug to be fixed.

> What I didn't know was that these generated C files were included in
> the release tarball.  We have the Ragel, we can rebuild them, and we
> now do so in commit 2b73e50c31a61b5dcef35a1e4b9484d9dbcb0fbc.

Neat!

-- 
Simon South
[email-masked]